%{?nodejs_find_provides_and_requires}

%global packagename parse-asn1
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 5.0.0
Release: 1%{?dist}.3
Summary: Utility library for parsing asn1 files for use with browserify-sign
License: ISC
URL: https://github.com/crypto-browserify/parse-asn1#readme
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(asn1.js) >= 4.0.0
BuildRequires: npm(asn1.js) < 5.0.0
BuildRequires: npm(browserify-aes) >= 1.0.0
BuildRequires: npm(browserify-aes) < 2.0.0
BuildRequires: npm(create-hash) >= 1.1.0
BuildRequires: npm(create-hash) < 2.0.0
BuildRequires: npm(evp_bytestokey) >= 1.0.0
BuildRequires: npm(evp_bytestokey) < 2.0.0
BuildRequires: npm(pbkdf2) >= 3.0.3
BuildRequires: npm(pbkdf2) < 4.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 3.4.0
%endif

%description
Utility library for parsing asn1 files for use with browserify-sign.


%prep
%setup -q -n package
%nodejs_fixdep tape '>=3.4.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node ./test
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 23 2016 Oleg Girko <ol@infoserver.lv> - 5.0.0-1
- Install all json files
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 5.0.0-1
- Initial package.
